<template>
  <div>
    <h1>Tasks</h1>
    <div v-bind:key="task.title" v-for="task in list">
      <task v-bind="task" />
    </div>
  </div>
</template>

<script>
import Task from "./Task.vue";

export default {
  name: "Tasks",
  props: {
    list: {
      type: Array,
      required: true
    }
  },
  components: {
    Task
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
